Subject: bug#11044: bug & RFE

From: Eric Blake <[email-masked]>
Date: Mon, 19 Mar 2012 14:41:04 -0600

retitle 11044 RFE: fmt goal width
thanks

On 03/19/2012 02:00 PM, Bruce Korb wrote:
> Hi Eric,
> 
> On Mon, Mar 19, 2012 at 12:34 PM, Eric Blake <[email-masked]> wrote:
>> As for fmt, I'll let others chime in; it's the sort of thing where a
>> patch speaks louder than requests.
> 
> A "patch, please" reply is completely fine.  Going to the trouble of
> making a patch
> wherein the patch is not considered is not quite so fine.  I guess I
> should make it
> clearer:
> 
>   would you-all accept a patch that added a "-g" option to set the goal
>   column as opposed to deriving it by multiplying the width by 0.93 ?

Yes - I would welcome such a patch, on the grounds of supporting a use
case currently possible in other existing implementations.  According to
http://www.manpagez.com/man/1/fmt/, there is no 'g' option, but BSD 'fmt
60 70' would operate like your proposed 'fmt -g 60 -w 70'.  In fact, it
might even be worth to teach GNU fmt about a non-option numeric argument
being treated as --width rather than as a file name.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org